summaryrefslogtreecommitdiff
path: root/test/integration/framework
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/framework')
-rw-r--r--test/integration/framework11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/integration/framework b/test/integration/framework
index a9acd83a9..b4220c8b5 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -1665,6 +1665,17 @@ testfailuremsg() {
testoutputequal "$COMPAREFILE" echo "$CMP"
msggroup
}
+testwarningmsg() {
+ msggroup 'testwarningmsg'
+ local CMP="$1"
+ shift
+ testwarning "$@"
+ msgtest 'Check that the output of the previous warned command has expected' 'warnings'
+ local COMPAREFILE="${TMPWORKINGDIRECTORY}/rootdir/tmp/testwarningmsg.comparefile"
+ grep '^\(W\|E\):' "${TMPWORKINGDIRECTORY}/rootdir/tmp/testwarning.output" > "$COMPAREFILE" 2>&1 || true
+ testoutputequal "$COMPAREFILE" echo "$CMP"
+ msggroup
+}
testfilestats() {
msggroup 'testfilestats'